Skip to main content
PUT
Update an arrangement

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider.

Path Parameters

id
string
required

Owning participant id (UUID).

Example:

"0190b5a0-0000-7000-8000-0000000000aa"

arrangementId
string
required

Arrangement id (UUID).

Example:

"0190b5a0-0000-7000-8000-0000000000bb"

Body

application/json
active
boolean | null

Whether the arrangement is active. Nil leaves it unchanged.

Example:

true

code
string

Card-scheme arrangement code. Omitted leaves it unchanged.

Example:

"VCC"

role
string

Participant role for this arrangement. Omitted leaves it unchanged.

Example:

"ACQUIRER"

Response

OK

active
boolean
required

Whether the arrangement is active.

Example:

true

code
string
required

Card-scheme arrangement code.

Example:

"VCC"

createdAt
string<date-time>
required

Creation timestamp (RFC3339 UTC).

Example:

"2026-06-15T07:50:00Z"

id
string
required

Arrangement id (UUID).

Example:

"0190b5a0-0000-7000-8000-0000000000bb"

participantId
string
required

Owning participant id (UUID).

Example:

"0190b5a0-0000-7000-8000-0000000000aa"

role
string
required

Participant role for this arrangement.

Example:

"ACQUIRER"

updatedAt
string<date-time>
required

Last-update timestamp (RFC3339 UTC).

Example:

"2026-06-15T07:50:00Z"